Bug 246752 - net/motsognir: Update to 1.0.12
Summary: net/motsognir: Update to 1.0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-26 13:33 UTC by kaltheat
Modified: 2020-05-31 10:39 UTC (History)
2 users (show)

See Also:


Attachments
svn diff patch (2.39 KB, patch)
2020-05-26 13:33 UTC, kaltheat
kaltheat: maintainer-approval+
Details | Diff
output of "poudriere testport" on 12.1-RELEASE amd64 (17.86 KB, text/plain)
2020-05-26 13:34 UTC, kaltheat
no flags Details
output of "poudriere testport" on 12.1-RELEASE i386 (18.51 KB, text/plain)
2020-05-26 13:34 UTC, kaltheat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaltheat 2020-05-26 13:33:21 UTC
Created attachment 214875 [details]
svn diff patch

This long overdue patch updates Motsognir to 1.0.12 skipping two intermediate
updates. 

There was a problem with MSG_MORE constant used when sending to socket. I took
an inspiration from multimedia/vdr-plugin-xvdr. Hope this works as intended ...


Excerpt from changelog[1]:

v1.0.12 [07 Jul 2019]
 - All configuration options can be overloaded through command-line (eg.
   "motsognir --gopherport 71"),
 - Directory listings detect symlinked directories properly, instead of
   considering them being a "file" (bug reported by Martin Kukac),
 - "make install" does not overwrite /etc/motsognir.conf if it exists already
   (bug reported by Martin Kukac),
 - Added the 'NoTxtPeriod' option to disable dot-terminating and dot-stuffing
   text files (requested by Vasco Costa),
 - New configuration option "LogFacility", allows to set a custom LOCAL syslog
   facility for logging (inspired by the "logmore" patch from Dario Niedermann),
 - A warning is logged whenever an unknown option is found in the config file,
 - Fixed a potential buffer overrun in case of a very long gopher root path,
 - Fixed period-stuffing text files, as mandated by RFC 1436,
 - Fixed a small memory leak within the directory listing routine.

v1.0.11 [19 Feb 2019]
 - Added the 'disableipv6' configuration setting, mostly for OpenBSD
   compatibility (reported by Patrick Lonergan).

v1.0.10 [05 Feb 2019]
 - Adjusted a few string buffers to avoid gcc-8 compilation warnings,
 - Gophermaps comments (#) are ignored,
 - Added support for the '%DIRS%' dynamic directive in gophermaps.

[1] https://sourceforge.net/p/motsognir/code/HEAD/tree/tags/v1.0.12/changes.txt
Comment 1 kaltheat 2020-05-26 13:34:25 UTC
Created attachment 214876 [details]
output of "poudriere testport" on 12.1-RELEASE amd64
Comment 2 kaltheat 2020-05-26 13:34:50 UTC
Created attachment 214877 [details]
output of "poudriere testport" on 12.1-RELEASE i386
Comment 3 Automation User 2020-05-26 13:51:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/149721768
Comment 4 Fernando Apesteguía freebsd_committer 2020-05-27 07:11:10 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thansk!
Comment 5 commit-hook freebsd_committer 2020-05-31 10:39:04 UTC
A commit references this bug:

Author: tagattie
Date: Sun May 31 10:38:36 UTC 2020
New revision: 537148
URL: https://svnweb.freebsd.org/changeset/ports/537148

Log:
  - Update to 1.0.12
  - Make portlint/portclippy happy

  PR:		246752
  Submitted by:	kaltheat@gmail.com (maintainer)
  Approved by:	mentors (implicit)
  Changelog:	https://sourceforge.net/p/motsognir/code/HEAD/tree/tags/v1.0.12/changes.txt

Changes:
  head/net/motsognir/Makefile
  head/net/motsognir/distinfo
  head/net/motsognir/files/patch-motsognir.c
  head/net/motsognir/files/pkg-message.in
Comment 6 Hiroki Tagato freebsd_committer 2020-05-31 10:39:32 UTC
Committed, thanks!